Name:		perl-MouseX-Types-Path-Class
Summary:	A Path::Class type library for Mouse
Version:	0.07
Release:	1%{?dist}
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/MouseX-Types-Path-Class/
Source0:	http://search.cpan.org/CPAN/authors/id/M/MA/MASAKI/MouseX-Types-Path-Class-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	perl
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.59
BuildRequires:	perl(inc::Module::Install)
BuildRequires:	perl(Module::Install::ReadmeFromPod)
# Module Runtime
BuildRequires:	perl(Mouse) >= 0.39
BuildRequires:	perl(MouseX::Types) >= 0.02
BuildRequires:	perl(MouseX::Types::Mouse)
BuildRequires:	perl(Path::Class)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Optional Functionality
BuildRequires:	perl(MouseX::Getopt)
# Test Suite
BuildRequires:	perl(Test::More) >= 0.94
BuildRequires:	perl(Test::UseAllModules)
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(MouseX::Getopt)

%description
MouseX::Types::Path::Class creates common Mouse types, coercions and option
specifications useful for dealing with Path::Class objects as Mouse attributes.

Coercions (see Mouse::Util::TypeConstraints) are made from both Str and
ArrayRef to both Path::Class::Dir and Path::Class::File objects. If you have
MouseX::Getopt installed, the Getopt option type ("=s") will be added for both
Path::Class::Dir and Path::Class::File.

%prep
%setup -q -n MouseX-Types-Path-Class-%{version}

# Unbundle inc::Module::Install; we'll use the system version instead
#rm -rf inc/

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/MouseX/
%{_mandir}/man3/MouseX::Types::Path::Class.3*

%changelog
* Thu Apr 17 2014 Paul Howarth <paul@city-fan.org> - 0.07-1
- Initial RPM version
